diff --git a/resources/web/flutter_web/flutter_bootstrap.js b/resources/web/flutter_web/flutter_bootstrap.js
index 72c6e2cfb1..d3b2c978ec 100644
--- a/resources/web/flutter_web/flutter_bootstrap.js
+++ b/resources/web/flutter_web/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"b8800d88be4866db1b15f8b954ab2573bba996
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "1259672894"
+    serviceWorkerVersion: "1311383123"
   }
 });
diff --git a/resources/web/flutter_web/flutter_service_worker.js b/resources/web/flutter_web/flutter_service_worker.js
index 1c3df5cb9d..61cb7e7dca 100644
--- a/resources/web/flutter_web/flutter_service_worker.js
+++ b/resources/web/flutter_web/flutter_service_worker.js
@@ -3,11 +3,11 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"flutter_bootstrap.js": "e78ce80780545735dbc338acae2e3024",
-"version.json": "f118256ee04bed0fedce70629e7710f2",
+const RESOURCES = {"flutter_bootstrap.js": "9861ed7b9a9b7fa4ffc255e695b82389",
+"version.json": "e583737ac95b353c95b42ccfc1a941eb",
 "index.html": "626847718ec5c240e19799fa3d4aa135",
 "/": "626847718ec5c240e19799fa3d4aa135",
-"main.dart.js": "83695a23db4b1835e69a7b9d4dd54a90",
+"main.dart.js": "bab134d0f1ae6065396f89be94b7841e",
 "flutter.js": "f31737fb005cd3a3c6bd9355efd33061",
 "version.changelog": "a03bac318dcf942d5fb549658b711600",
 "favicon.png": "be8d1ab28c20907c9869c345d0482962",
@@ -16,17 +16,17 @@ const RESOURCES = {"flutter_bootstrap.js": "e78ce80780545735dbc338acae2e3024",
 "icons/Icon-maskable-512.png": "4870fb6720f4fcad016cb582589d136d",
 "icons/Icon-512.png": "343022ac1c56796cb7ff635faf0646ef",
 "manifest.json": "901d86fb8842ec0d66225a542131d689",
-"assets/AssetManifest.json": "bb267d0446c3e8611914b4662dd7af09",
+"assets/AssetManifest.json": "9b9bdbd2e2307294729c7f5c41adf70f",
 "assets/NOTICES": "d453b0291cf6ccfc5ced86766a1aa652",
 "assets/FontManifest.json": "0dc3d44d47c5e2636cdca4babafb2396",
-"assets/AssetManifest.bin.json": "474c4b747f922c2fac2b5210d54c790b",
+"assets/AssetManifest.bin.json": "006886d87f37d300690b7f6b966a5185",
 "assets/packages/lava_device_control/assets/files/filament.json": "54d21ade78e6cd6025306530023b094d",
 "assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "391ff5f9f24097f4f6e4406690a06243",
 "assets/packages/fluttertoast/assets/toastify.js": "56e2c9cedd97f10e7e5f1cebd85d53e3",
 "assets/packages/fluttertoast/assets/toastify.css": "a85675050054f179444bc5ad70ffc635",
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
-"assets/AssetManifest.bin": "a255b021cd52702feb1b15cabf5c39c5",
+"assets/AssetManifest.bin": "8693e62cf2132d45f23db196a3ab22ee",
 "assets/fonts/MaterialIcons-Regular.otf": "aa361df3c4cfa80e7a16cc8899e3c663",
 "assets/assets/i10n/zh-CN.json": "0ea4e6108ebd664aa38979d7784eaa76",
 "assets/assets/i10n/en.json": "701e7805b3033193db59ef066a008394",
